import 'dart:typed_data';

final int USERID_LEN = 16;
final int PRODUCTCODE_LEN = 16;
final int PACKAGECODE_LEN = 16;
final int VERSION_LEN = 16;

void decode(Uint8List strData, int iLen, int iCode)
{
  for (int i = 0; i < iLen; i++) {
    strData[i] ^= (( (i + iCode) % 16) + 1);
  }
}

int iBBCDecode(Uint8List uint8list,int iLen, bool bIsReset) {
  int byResult = 0;
  for (int idx = 0; idx < iLen; idx++)
    byResult ^= uint8list[idx];
  if ((false != bIsReset) &&
      (0xFF == byResult))
    byResult = 0x00;
  return byResult;
}